# LogDoctor: HashOps Class Reference

Loading...
Searching...
No Matches
HashOps Class Reference

HashOps. More...

`#include <hash.h>`

## Public Member Functions

void | setDialogLevel (const int &new_level)
| Sets the new Dialogs level.
const bool | loadUsedHashesLists (const std::string &db_path)
| Retrieves the lists of hashes from the database file. More...
void | digestFile (const std::string &file_path, std::string &hash) const
| Returns the hash resulting from the content of the given file. More...
const bool | hasBeenUsed (const std::string &file_hash, const int &web_server_id) const
| Checks if the given hash equals one which is already in the list. More...
const bool | insertUsedHashes (const std::string &db_path, const std::vector< std::string > &hashes, const int &web_server_id)
| Inserts multiple hashes in the corresponding database table. More...

## Detailed Description

HashOps.

Operations for the hashes

## Member Function Documentation

## digestFile()

void HashOps::digestFile | ( | const std::string & | file_path,
|  | std::string & | hash
| ) |  | const

Returns the hash resulting from the content of the given file.

Parameters

  file_path | The path of the file to process

Returns
  The sha256 hash

Exceptions

  GenericException |

See also
  SHA256

## hasBeenUsed()

const bool HashOps::hasBeenUsed | ( | const std::string & | file_hash,
|  | const int & | web_server_id
| ) |  | const

Checks if the given hash equals one which is already in the list.

Parameters

  file_hash | The sha256 hash to compare
  web_server_id | The ID of the Web Server which generated the file

Returns
  Whether the hash is already in the list or not

## insertUsedHashes()

const bool HashOps::insertUsedHashes | ( | const std::string & | db_path,
|  | const std::vector< std::string > & | hashes,
|  | const int & | web_server_id
| ) |  |

Inserts multiple hashes in the corresponding database table.

Parameters

  db_path | The path of the Hashes database
  hashes | The list of hashes to insert
  web_server_id | The ID of the Web Server which generated the file

Returns
  Whether the operation has been successful or not

## loadUsedHashesLists()

const bool HashOps::loadUsedHashesLists | ( | const std::string & | db_path | ) |

Retrieves the lists of hashes from the database file.

Parameters

  db_path | The path of the log files' Hashes database

Returns
  Whether the operation has been successful or not

The documentation for this class was generated from the following files:

- logdoctor/modules/craplog/modules/hash.h
- logdoctor/modules/craplog/modules/hash.cpp